## scid 3.5

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 COMPILE = g++
 CC = gcc
 LINK = g++
+DESTDIR =
 
 # BINDIR: where the Scid programs are copied for "make install".
 #
@@ -70,7 +71,7 @@
 #      to include the code in the src/zlib directory.
 #      The default is to use the system zlib library.
 #
-SCIDFLAGS = 
+SCIDFLAGS =  -DZLIB
 
 ### OPTIMIZE: Optimization options for C++ compiler.
 #      -O4 is the most optimization for g++. I have found -O2 to do
@@ -110,7 +111,7 @@
 #       can reduce the size of the Scid program by only specifying
 #       the languages you want supported.
 #
-LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/serbian.tcl
+LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/hungary.tcl tcl/serbian.tcl tcl/russian.tcl
 
 
 ############################################################
@@ -122,7 +123,7 @@
 ### EXECS: executable programs compiled from C++ files.
 #     Note: scidt and eco2epd are obsolete and not compiled by default.
 #
-EXECS= pgnscid tkscid tcscid scmerge
+EXECS= pgnscid tkscid tcscid scmerge scidlet
 
 ### SCIDOBJS: not all the .o files that make up Scid, just the standard ones 
 #     that most of the programs include.
@@ -130,7 +131,7 @@
 SCIDOBJS= src/misc.o src/index.o src/date.o src/namebase.o src/position.o \
       src/game.o src/gfile.o src/matsig.o src/bytebuf.o src/textbuf.o \
       src/myassert.o src/stralloc.o src/mfile.o src/dstring.o src/pgnparse.o \
-      src/stored.o
+      src/stored.o src/movelist.o
 
 ### ZLIBOBJS: object files in the zlib compression library.
 #
@@ -142,11 +143,11 @@
 
 ### ZLIB: Should be "-lz" if your system has zlib, "" otherwise.
 #
-ZLIB = -lz
+ZLIB = 
 
 ### OBJS: Will be "$(SCIDOBJS)", and also "$(ZLIBOBJS)" if they are
 #      needed on your system.
-OBJS= $(SCIDOBJS)
+OBJS= $(SCIDOBJS) $(ZLIBOBJS)
 
 ### TCLS: all the .tcl files that make up "scid".
 #
@@ -155,13 +156,15 @@
       tcl/ezsmtp/ezsmtp.tcl \
       tcl/email.tcl tcl/epd.tcl tcl/fontsel.tcl tcl/basewind.tcl \
       tcl/import.tcl tcl/spellchk.tcl tcl/graph.tcl tcl/maint.tcl \
-      tcl/optable.tcl tcl/analysis.tcl tcl/wbdetect.tcl tcl/reper.tcl \
-      tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
-      tcl/bookmark.tcl tcl/board.tcl tcl/end.tcl
-
-### SCRIPTS: small extra programs written in Tcl using tcscid.
-#
-SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_tree scidpgn pgnfix
+      tcl/optable.tcl tcl/preport.tcl tcl/analysis.tcl tcl/wbdetect.tcl \
+      tcl/reper.tcl tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
+      tcl/bookmark.tcl tcl/board.tcl tcl/tb.tcl tcl/end.tcl
+
+### SCRIPTS:
+# Small extra programs. Most are written in Tcl using tcscid, but
+# a few contributed ones may be in Python or other languages.
+#
+SCRIPTS= sc_addmove sc_epgn sc_spell sc_eco sc_import sc_remote sc_tree scidpgn pgnfix spliteco
 
 ####################
 
@@ -173,10 +176,10 @@
 #   for all users, and put extra files in $SHAREDIR, type "make install".
 #
 install: all
-	install -m 755 -d $(BINDIR)
-	install -m 755 scid $(SCRIPTS) $(EXECS) $(BINDIR)
-	-install -m 755 -d $(SHAREDIR)
-	-install -m 644 -p scid.eco spelling.ssp $(SHAREDIR)
+	install -m 755 -d $(DESTDIR)$(BINDIR)
+	install -m 755 scid $(SCRIPTS) $(EXECS) $(DESTDIR)$(BINDIR)
+	-install -m 755 -d $(DESTDIR)$(SHAREDIR)
+	-install -m 644 -p scid.eco spelling.ssp $(DESTDIR)$(SHAREDIR)
 
 old-install: all
 	chmod 755 scid $(SCRIPTS) $(EXECS)
@@ -236,6 +239,10 @@
 	cp scripts/sc_import.tcl ./sc_import
 	chmod +x sc_import
 
+sc_remote: scripts/sc_remote.tk
+	cp scripts/sc_remote.tk ./sc_remote
+	chmod +x sc_remote
+
 sc_tree: scripts/sc_tree.tcl
 	cp scripts/sc_tree.tcl ./sc_tree
 	chmod +x sc_tree
@@ -247,6 +254,10 @@
 scidpgn: scripts/scidpgn.tcl
 	cp scripts/scidpgn.tcl ./scidpgn
 	chmod +x scidpgn
+
+spliteco: scripts/spliteco.tcl
+	cp scripts/spliteco.tcl ./spliteco
+	chmod +x spliteco
 
 tbstats: scripts/tbstats.tcl
 	cp scripts/tbstats.tcl ./tbstats
@@ -276,16 +287,20 @@
 pgnscid: src/pgnscid.o $(OBJS)
 	$(LINK) $(PROFILE) -o pgnscid src/pgnscid.o $(OBJS) $(ZLIB)
 
+scidlet: src/scidlet.o src/engine.o src/recog.o src/misc.o src/position.o \
+          src/dstring.o src/movelist.o
+	$(LINK) -o scidlet src/scidlet.o src/engine.o src/recog.o src/misc.o src/position.o src/movelist.o src/dstring.o
+
 scidt: src/scidt.o $(OBJS)
 	$(LINK) -o scidt src/scidt.o $(OBJS) $(ZLIB)
 
-tkscid: src/tkscid.o $(OBJS) src/tree.o src/filter.o \
-         src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o
-	$(LINK) -o tkscid src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o $(ZLIB) $(TK_LIBRARY)
-
-tcscid: src/tcscid.o $(OBJS) src/tree.o src/filter.o \
-          src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o
-	$(LINK) -o tcscid src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o $(ZLIB) $(TCL_LIBRARY)
+tkscid: src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o \
+          src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o
+	$(LINK) -o tkscid src/tkscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o $(ZLIB) $(TK_LIBRARY)
+
+tcscid: src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o \
+          src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o
+	$(LINK) -o tcscid src/tcscid.o $(OBJS) src/tree.o src/filter.o src/pbook.o src/crosstab.o src/spellchk.o src/probe.o src/optable.o src/engine.o src/recog.o $(ZLIB) $(TCL_LIBRARY)
 
 # eco2epd is now optional extra program NOT compiled by default, since
 # scid now reads the .eco file format directly.
