## scid 3.6.1

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 #       can reduce the size of the Scid program by only specifying
 #       the languages you want supported.
 #
-LANGUAGES = tcl/deutsch.tcl tcl/francais.tcl tcl/italian.tcl tcl/nederlan.tcl tcl/spanish.tcl tcl/portbr.tcl tcl/swedish.tcl tcl/norsk.tcl tcl/polish.tcl tcl/czech.tcl tcl/hungary.tcl tcl/serbian.tcl tcl/russian.tcl
+LANGUAGES = tcl/lang/deutsch.tcl tcl/lang/francais.tcl tcl/lang/italian.tcl tcl/lang/nederlan.tcl tcl/lang/spanish.tcl tcl/lang/portbr.tcl tcl/lang/swedish.tcl tcl/lang/norsk.tcl tcl/lang/polish.tcl tcl/lang/czech.tcl tcl/lang/hungary.tcl tcl/lang/serbian.tcl
 
 
 ############################################################
@@ -151,14 +151,40 @@
 
 ### TCLS: all the .tcl files that make up "scid".
 #
-TCLS= tcl/start.tcl tcl/bitmaps.tcl tcl/menus.tcl tcl/windows.tcl \
-      tcl/htext.tcl tcl/help.tcl tcl/tips.tcl tcl/misc.tcl tcl/search.tcl \
-      tcl/ezsmtp/ezsmtp.tcl \
-      tcl/email.tcl tcl/epd.tcl tcl/fontsel.tcl tcl/basewind.tcl \
-      tcl/import.tcl tcl/spellchk.tcl tcl/graph.tcl tcl/maint.tcl \
-      tcl/optable.tcl tcl/preport.tcl tcl/analysis.tcl tcl/wbdetect.tcl \
-      tcl/reper.tcl tcl/lang.tcl tcl/english.tcl $(LANGUAGES) \
-      tcl/bookmark.tcl tcl/board.tcl tcl/tb.tcl tcl/end.tcl
+TCLS= \
+  tcl/start.tcl \
+  tcl/bitmaps.tcl \
+  tcl/language.tcl \
+  tcl/utils.tcl \
+    tcl/utils/date.tcl tcl/utils/font.tcl tcl/utils/graph.tcl tcl/utils/history.tcl \
+    tcl/utils/pane.tcl tcl/utils/sound.tcl tcl/utils/string.tcl tcl/utils/tooltip.tcl \
+    tcl/utils/validate.tcl tcl/utils/win.tcl \
+  tcl/misc/misc.tcl tcl/htext.tcl \
+  tcl/contrib/combobox.tcl \
+  tcl/file.tcl \
+    tcl/file/finder.tcl tcl/file/bookmark.tcl tcl/file/recent.tcl tcl/file/epd.tcl \
+    tcl/file/spellchk.tcl tcl/file/maint.tcl \
+  tcl/edit.tcl \
+  tcl/game.tcl \
+    tcl/game/browser.tcl \
+  tcl/windows.tcl \
+    tcl/windows/gamelist.tcl tcl/windows/pgn.tcl \
+    tcl/windows/comment.tcl tcl/windows/eco.tcl \
+    tcl/windows/stats.tcl tcl/windows/tree.tcl tcl/windows/crosstab.tcl \
+    tcl/windows/pfinder.tcl tcl/windows/tourney.tcl tcl/windows/switcher.tcl \
+  tcl/search/search.tcl \
+    tcl/search/board.tcl tcl/search/header.tcl tcl/search/material.tcl \
+  tcl/contrib/ezsmtp/ezsmtp.tcl \
+    tcl/tools/email.tcl \
+    tcl/tools/import.tcl \
+    tcl/tools/optable.tcl tcl/tools/preport.tcl tcl/tools/pinfo.tcl \
+    tcl/tools/analysis.tcl tcl/tools/wbdetect.tcl \
+    tcl/tools/reper.tcl tcl/tools/graphs.tcl tcl/tools/tablebase.tcl tcl/tools/ptracker.tcl \
+  tcl/help/help.tcl tcl/help/tips.tcl \
+  tcl/menus.tcl tcl/board.tcl tcl/move.tcl tcl/main.tcl \
+    tcl/lang/english.tcl $(LANGUAGES) \
+  tcl/end.tcl
+
 
 ### SCRIPTS:
 # Small extra programs. Most are written in Tcl using tcscid, but
@@ -321,14 +347,3 @@
 src/probe.o: src/probe.cpp src/egtb/tbindex.cpp src/egtb/tbdecode.c
 	$(COMPILE) $(PROFILE) $(OPTIMIZE) $(DEBUG) $(SCIDFLAGS) $(TB) -o src/probe.o -c src/probe.cpp
 
-### Generic rule for all other .cpp files:
-#
-%.o: %.cpp
-	$(COMPILE) $(CPP_FLAGS) -o $@ -c $<
-
-### Rule for compiling zlib source files:
-#
-src/zlib/%.o: src/zlib/%.c
-	$(CC) $(CFLAGS) -o $@ -c $<
-
-### End of Makefile
