## scid 4.3.0.cvs20111216

=== debian/changelog ===
scid (1:4.3.0.cvs20111216-3) unstable; urgency=low

  * Installing the files in scid-data must be done in the debian 
    specific way with dh_install. Scid now installs files in 
    debian/tmp.

 -- Oliver Korff <ok@xynyx.de>  Mon, 23 Jan 2012 22:07:58 +0100

scid (1:4.3.0.cvs20111216-2) unstable; urgency=low

  * In the switch to Source 3.0 format a patch was skipped, which fixed 
    library paths at the debian the ports. This lead to a FTBFS Bug. Thanks to
    Peter Greens patch there is now no patching involved anymore, the magic is 
    done via sed in the rules file and DEB_HOST_MULTIARCH. (Closes: #656789)
  * The split from scid to scid + scid-data had to be done with a Replaces 
    and a Breaks field in the control file. (Closes: #656950)
  * Added the libx11-dev, dpkg-dev (>= 1.16.0) dependency to ensure building 
    environment is right under all circumstances.

 -- Oliver Korff <ok@xynyx.de>  Mon, 23 Jan 2012 17:40:45 +0100

scid (1:4.3.0.cvs20111216-1) unstable; urgency=low

  * New Upstream Version.
  * Removed dependency of oss-compat. libsnack works without. Thanks to 
    Ian Zimmerman for the hint.
  * Switch to Source 3.0 Format. (quilt)
    - Converted patches
    - Converted changes to Makefile to a single patch. (Not sure if this works 
      out all right, or has any side effects.)
    - Removed dpatch build dependency.
    - Set debhelper build depends to (>= 7.0.50~)
  * After forwarding the bug to upstream, they could sort out the issue. 
    And a long mail thread from Harvey Kelly and Joost 't Hart discussed 
    it, to be a Latex problem. Thanks to Joost and others for their 
    patience. (Closes: #640395)

 -- Oliver Korff <ok@xynyx.de>  Fri, 23 Dec 2011 18:50:55 +0100

scid (1:4.3.0.cvs20110714-2) unstable; urgency=low

  * After locating the libX11.so on all additional ports, the 
    FTBFS bug should now be closed. Only the location of libX11.so
    for s390x could not be discovered. I made a wild guess...
    My apologies to Nobuhiro Iwamatsu, he had to reopen this issue.
    (Closes: #633707) 
  * scid.eco and scid_fr.eco and scid_es.eco are in place again.
    A comment from the sources: "eco2epd is now optional extra program 
    NOT compiled by default, since scid now reads the .eco file format 
    directly." I put eco2pgn back, as requested by Gabriele Stilli. 
    Thanks for the bugreport.
    (Closes: #636090)

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Aug 2011 13:21:22 +0200

scid (1:4.3.0.cvs20110714-1) unstable; urgency=low

  * New Upstream sync.
  * Removed .git directory from source tgz. (Closes: #633708)
  * The ports needed to to locate the architecture dependent
    libX11.so libs too. Nobuhiro Iwamatsu helped with a patch.
    (Closes: #633707) 

 -- Oliver Korff <ok@xynyx.de>  Thu, 14 Jul 2011 12:59:10 +0200

scid (1:4.3.0.cvs20110706-2) unstable; urgency=low

  * The configure script needed to locate the architecture dependent 
    libX11.so libs. Therefor the appropriate paths had to be 
    appended. (Closes: #633146)  

 -- Oliver Korff <ok@xynyx.de>  Sat, 09 Jul 2011 20:16:42 +0200

scid (1:4.3.0.cvs20110706-1) unstable; urgency=low

  * New Upstream Version.
  * Scid Upstream is now a git repository, see copyright.
  * Updated standards version to 3.9.2
  * Recheck of bug #584923, "flipping board breakes animation". This 
    is working fine now, even in docked mode. (Closes: #584923).

 -- Oliver Korff <ok@xynyx.de>  Wed, 06 Jul 2011 12:56:48 +0200

scid (1:4.3.0.cvs20110228-1) unstable; urgency=low

  * New Upstream Version.
  * I re-checked this matter thoroughly and the bug can not be reproduced 
    in this version. If the book is enabled, the book moves are skipped, 
    while (automatically) annotating. (Closes: #604421)
  * Makefile and Makefile.conf are still not included in the patch system.

 -- Oliver Korff <ok@xynyx.de>  Mon, 28 Feb 2011 09:58:02 +0100

scid (1:4.2.2.cvs20110111-1) unstable; urgency=low

  * New Upstream Version.

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Jan 2011 12:18:27 +0100

scid (1:4.2.2.cvs20100824-1) unstable; urgency=low

  * New Upstream Version, this is a 4.3 pre-release snapshot.
  * Added libtk-img to the runtime dependencies. This enables 
    some more chess-set possibilities.
  * Updated standards version to 3.9.1
  * Added a hack to avoid breaking the dh_clean target. I apply 
    a Makefile patch before and afterwards, this is likely to break 
    in every new version. I will clean this thing up, with 4.3 and 
    maybe switch from dpatch to quilt.

 -- Oliver Korff <ok@xynyx.de>  Tue, 24 Aug 2010 09:21:31 +0200

scid (1:4.2.2.cvs20100202-2) unstable; urgency=low

  * No interesting updates to the man CVS, so no new upstream version.
  * Added a suggest to the spelling/rating-data packages
  * The integration of phalanx has now been carefully tested. The bug 
    reported 2001 is not longer existing. (Closes: #107658) 
  * lintian now searches for spelling errors in binarys. Corrected one 
    error of this type.

 -- Oliver Korff <ok@xynyx.de>  Sat, 20 Feb 2010 11:30:54 +0100

scid (1:4.2.2.cvs20100202-1) unstable; urgency=low

  * New upstream version. The "Help/About Scid" menu states, that 
    we have a 4.2.2 development version.
  * The database conversion with pgnscid was successfully 
    tested. (Closes: #567946)
  * Upgrade to policy standards version 3.8.4
  * Prepared scid to find spelling data in /usr/share/scid/data

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Feb 2010 21:33:40 +0100

scid (1:4.2.0.cvs20100120-1) unstable; urgency=low

  * New upstream version. The "Help/About Scid" menu states, that we 
    work with a 4.2 developmet version.
  * Added a misc:Depends to the depends section in control
  * Changed section from optional to extra to avoid warnings from debcheck,
    because of a depends on oss-compat, which is extra on other architectures
  * Reworked the suggests in control. At first I wanted to avoid the suggest on 

