=== debian/control ===
Source: scid
Section: games
Priority: extra
Maintainer: Oliver Korff <ok@xynyx.de>
Homepage: http://scid.sf.net
Build-Depends: debhelper (>= 7.0.50~), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.2

Package: scid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl8.5, tk8.5, zlib1g
Recommends: libsnack2, texlive-games, tdom, libtk-img
Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
Description: chess database with play and training functionality
 Shane's Chess Information Database is a chess database application with
 a graphical user interface. You can browse databases of chess games, 
 edit them and search for games by various criteria. Scid uses its 
 own compact and fast database format, but can convert to and from PGN.
 Its also possible to play live on the internet and practice tactical 
 knowledge.
 .
 This package contains the main program.

Package: scid-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: scid (<=1:4.3.0.cvs20110714-2)
Replaces: scid (<=1:4.3.0.cvs20110714-2)
Recommends: scid (>=1:4.3.0.cvs20111216-1)
Description: data files for scid, the chess database application
 Shane's Chess Information Database is a chess database application with
 a graphical user interface. You can browse databases of chess games,
 edit them and search for games by various criteria. Scid uses its
 own compact and fast database format, but can convert to and from PGN.
 Its also possible to play live on the internet and practice tactical
 knowledge.
 .
 This package contains scids data files.
